Zadanie # 1616 (W toku): Utworzenie formularza do edycji yelementu
Utworzenie formularza do edycji YRichtext
2017-04-05 09:05 - Michat Komar

Status: Zamkniety Start date: 2017-04-06
Priority: Normalny Due date: 2017-04-06
Assignee: Monika Maksymiuk % Done: 100%
Category: ui Estimated time: 0.00 hour
Target version: 0.3

Developer: Monika Maksymiuk Tester: Michat Komar

Description

W yElemencie wystepuja pola yrichtext, ktére zawierajg teskst w postaci htmla.
Model yrichtext:

YRichText {
parts?: Part[];
}
Leaf extends Part{
text?: string;
1
Node extends Part{
ns?: string;
tag?: string;
attributes?: Attr[];
parts?: Part(];

Jak widac¢, powyzszy model jest dosy¢ skomplikowany.Teoretycznie pozwala odwzorowaé¢ html-a. W przypadku Jupitera do Ul
wysytany bedzie uproszczony richtext. Bedzie on wygladat nastepujgco:

YRichText {
parts: [
leaf: {
text: html zawierajacy tekst

Formularz powinien potrafi¢ wy$wietli¢ tekst z yrichtextu oraz pozwoli¢ na jego edycje. Komponent formularza powinien mie¢
parametr méwigcy o tym, czy ma by¢ wyrenderowany formularz pozwalajacy na wstawianie htmla, czy zwykly input tekstowy.

Related issues:

Related to Jupiter - Zadanie # 1619: Utworzenie komponentu z formularzem pozw... Zamkniety 2017-05-11

Follows Jupiter - Zadanie # 1618: Mapowanie yrichtextu na model obstugiwany p... Zamkniety 2017-04-05

Associated revisions

Revision d1048a0e - 2017-05-10 09:43 - Monika Maksymiuk
refs #1617. Komponent tekstowy (input, textarea, wiele inputow)

History

#1 - 2017-04-05 09:07 - Michat Komar
- Follows Zadanie #1618: Mapowanie yrichtextu na model obstugiwany przez Ul added

#2 - 2017-04-05 09:11 - Michat Komar
- Related to Zadanie #1619: Utworzenie komponentu z formularzem pozwalajgcym na wprowadzanie danych w wielu jezykach added

#3 - 2017-05-16 12:27 - Monika Maksymiuk
- Status changed from Nowy to Rozwigzany

- % Done changed from 0 to 100

#4 - 2017-06-06 11:56 - Michat Komar
- Status changed from Rozwigzany to Zamkniety
